QGIS Application - Bug report #19469
[Processing] "Extract by attribute"” algorithm allows an optional value as parameter
2018-07-23 01:09 PM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:3.3(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 27297
Description

When running the "select by attributes” algorithm without a value filled, you get a warning that there's a wrong or missing value for the
value parameter.

In the "Extract by attribute" case, the "Value" parameter is indicated as optional and you can run the algorithm without it, returning a layer
with zero feature.

Other than not being consistent with the corresponding "select by..." alg behavior, | fail to see why someone would like to run a conditional
algorithm without filling a condition.

Associated revisions

Revision 4e1d29ee - 2018-08-29 09:10 PM - Harrissou Santanna

[Processing][Needs-docs] Allow optional "value" in "select by attribute" algorithm

because it's not needed to run null checks (fixes #19469 which is actually reported in the wrong way)

Revision 4d6211d1 - 2018-08-31 02:32 AM - Harrissou Santanna

[Processing][Needs-docs] Allow optional "value" in "select by attribute" algorithm

because it's not needed to run null checks (fixes #19469 which is actually reported in the wrong way)

(cherry picked from commit 4e1d29ee241{53297f2a332554154fd0ad27b73)

History

#1 - 2018-08-29 09:09 PM - Harrissou Santanna
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|4e1d29ee241{53297ff2a332554154fd0ad27b73.

#2 - 2018-08-29 09:10 PM - Giovanni Manghi
- Resolution set to fixed/implemented
